%define module 	CGI-XML
%define version 0.1
%define release 5mdk

Summary:	CGI-XML perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel >= 5.6
Requires:	perl >= 5.6
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	perl-XML-CGI
Provides:	perl-XML-CGI
Buildarch: noarch

%description
CGI-XML converts CGI.pm variables to XML and vice versa.


%prep

%setup -q -n %{module}-%{version}


%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT%{perl_archlib}

%makeinstall_std

%{__install} -d $RPM_BUILD_ROOT/%{_datadir}


%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes  examples
%{perl_vendorlib}/CGI/*
%{_mandir}/*/*


%changelog
* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.1-5mdk
- Fix summary and description
- macroize
- %%makeinstall_std

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-4mdk
- rebuild for new auto{prov,req}

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1-3mdk
- rebuild

* Mon Jul 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1-2mdk
- rebuild with new perl

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 0.1
	- changed name

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.02-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com>:
	- First Mandrake release



